indicator-application-service crashed with SIGSEGV, when starting Quassel Client

Bug #743564 reported by Allison Randal on 2011-03-27
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Application Indicators
Fix Released
Low
Unassigned
indicator-application (Ubuntu)
Medium
Michael Terry

Bug Description

Binary package hint: indicator-application

I have an indicator crash in Unity when I start the application Quassel Client. I've updated to all the latest packages (1 hour ago). I'll submit this now, but will try several times to see if it's consistently repeatable. pitti said most of these indicator crashes have been fixed, so it's worth submitting any remaining.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: indicator-application 0.3.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
NonfreeKernelModules: wl
Architecture: amd64
CrashCounter: 1
Date: Sun Mar 27 12:12:08 2011
ExecutablePath: /usr/lib/indicator-application/indicator-application-service
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcCmdline: /usr/lib/indicator-application/indicator-application-service
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, user)
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
SegvAnalysis:
 Segfault happened at: 0x402d78: mov 0x18(%rax),%rax
 PC (0x00402d78) ok
 source "0x18(%rax)" (0x00000018) not located in a known VMA region (needed readable region)!
 destination "%rax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: indicator-application
StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 ?? ()
 ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
Title: indicator-application-service crashed with SIGSEGV
UpgradeStatus: Upgraded to natty on 2011-03-26 (1 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Allison Randal (allison) wrote :

StacktraceTop:
 get_position (app=0x1af9710) at application-service-appstore.c:647
 apply_status (app=0x1af9710) at application-service-appstore.c:837
 application_died (app=0x1af9710) at application-service-appstore.c:760
 name_changed (connection=<value optimized out>, sender_name=<value optimized out>, object_path=<value optimized out>, interface_name=<value optimized out>, signal_name=<value optimized out>, parameters=<value optimized out>, user_data=0x1af9710) at application-service-appstore.c:1032
 emit_signal_instance_in_idle_cb (data=0x1b121d0) at /build/buildd/glib2.0-2.28.4/./gio/gdbusconnection.c:3400

Changed in indicator-application (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
visibility: private → public
Changed in indicator-application:
importance: Undecided → Low
Michael Terry (mterry) on 2011-04-07
Changed in indicator-application (Ubuntu):
assignee: nobody → Michael Terry (mterry)
Michael Terry (mterry) wrote :

I believe(?) I reproduced this. But my stacktrace looks pretty different from yours and even has libdbus-glib in it... It makes me worried that someone is using libdbus-glib in-process of an indicator... As I recall that's a no-no that may cause problems; will ask Ted what kinds to expect.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 0.3.1-0ubuntu2

---------------
indicator-application (0.3.1-0ubuntu2) natty; urgency=low

  * debian/patches/lp_743564.patch
    - Don't merely free an app, it has to be properly removed from
      list (LP: #743564)
 -- Ken VanDine <email address hidden> Fri, 08 Apr 2011 16:54:24 -0400

Changed in indicator-application (Ubuntu):
status: New → Fix Released
Ted Gould (ted) on 2011-04-12
Changed in indicator-application:
status: New → Fix Committed
milestone: none → 0.3.2
Ted Gould (ted) on 2011-04-14
Changed in indicator-application:
status: Fix Committed → Fix Released
Changed in indicator-application (Ubuntu):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-application - 0.3.2-0ubuntu1

---------------
indicator-application (0.3.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    ∘ Free app using application_free() instead of just freeing
      the memory (LP: #743564)
    ∘ Protect against cancellation
    ∘ Make it so that we can cancel GetAll() (LP: #725665)
    ∘ Make it so that we can cancel Approver requests
  * Drop debian/patches/lp_743564.patch as merged upstream.
 -- Ted Gould <email address hidden> Thu, 14 Apr 2011 14:30:32 -0500

Changed in indicator-application (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers